<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_obj_desc_pyramid_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_obj_desc_pyramid_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__tivx__obj__desc.html">Object Descriptor APIs</a>]</small>
</h1><!-- doxytag: class="tivx_obj_desc_pyramid_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>pyramid object descriptor as placed in shared memory </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__pyramid__t.html#a7f5af0f5660e6bc1e5821182c85a0fbd">base</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">base object descriptor  <a href="#a7f5af0f5660e6bc1e5821182c85a0fbd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__pyramid__t.html#a5ab669c0fe79ece3948dd70967fbec9d">num_levels</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">number of pyramid levels  <a href="#a5ab669c0fe79ece3948dd70967fbec9d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__pyramid__t.html#a2265d3c605588d46886832a9a82f9bce">width</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">width of the level0 image  <a href="#a2265d3c605588d46886832a9a82f9bce"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__pyramid__t.html#a672a6b3e72009992e2b5a1ccea8a60e6">height</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">height of the level0 image  <a href="#a672a6b3e72009992e2b5a1ccea8a60e6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#af14ad5e46a20640307420a745d199e1d">vx_float32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__pyramid__t.html#a6aa80ede86a631696227b125e2cb32af">scale</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Scaling factor between levels of the pyramid.  <a href="#a6aa80ede86a631696227b125e2cb32af"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a371968e3355d6f9e413d836ccc14d5b8">vx_df_image</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__pyramid__t.html#a8e5f5e6d83863cd29859b56485d0d80c">format</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">image format  <a href="#a8e5f5e6d83863cd29859b56485d0d80c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint16_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__pyramid__t.html#a74c0e4f0d5a331ba58dedae10c6b9b49">obj_desc_id</a> [TIVX_PYRAMID_MAX_LEVEL_OBJECTS]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">array of object descriptor ids for the image object  <a href="#a74c0e4f0d5a331ba58dedae10c6b9b49"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a7f5af0f5660e6bc1e5821182c85a0fbd"></a><!-- doxytag: member="tivx_obj_desc_pyramid_t::base" ref="a7f5af0f5660e6bc1e5821182c85a0fbd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a> <a class="el" href="structtivx__obj__desc__pyramid__t.html#a7f5af0f5660e6bc1e5821182c85a0fbd">tivx_obj_desc_pyramid_t::base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>base object descriptor </p>

</div>
</div>
<a class="anchor" id="a5ab669c0fe79ece3948dd70967fbec9d"></a><!-- doxytag: member="tivx_obj_desc_pyramid_t::num_levels" ref="a5ab669c0fe79ece3948dd70967fbec9d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a> <a class="el" href="structtivx__obj__desc__pyramid__t.html#a5ab669c0fe79ece3948dd70967fbec9d">tivx_obj_desc_pyramid_t::num_levels</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>number of pyramid levels </p>

</div>
</div>
<a class="anchor" id="a2265d3c605588d46886832a9a82f9bce"></a><!-- doxytag: member="tivx_obj_desc_pyramid_t::width" ref="a2265d3c605588d46886832a9a82f9bce" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> <a class="el" href="structtivx__obj__desc__pyramid__t.html#a2265d3c605588d46886832a9a82f9bce">tivx_obj_desc_pyramid_t::width</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>width of the level0 image </p>

</div>
</div>
<a class="anchor" id="a672a6b3e72009992e2b5a1ccea8a60e6"></a><!-- doxytag: member="tivx_obj_desc_pyramid_t::height" ref="a672a6b3e72009992e2b5a1ccea8a60e6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__pyramid__t.html#a672a6b3e72009992e2b5a1ccea8a60e6">tivx_obj_desc_pyramid_t::height</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>height of the level0 image </p>

</div>
</div>
<a class="anchor" id="a6aa80ede86a631696227b125e2cb32af"></a><!-- doxytag: member="tivx_obj_desc_pyramid_t::scale" ref="a6aa80ede86a631696227b125e2cb32af" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#af14ad5e46a20640307420a745d199e1d">vx_float32</a> <a class="el" href="structtivx__obj__desc__pyramid__t.html#a6aa80ede86a631696227b125e2cb32af">tivx_obj_desc_pyramid_t::scale</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Scaling factor between levels of the pyramid. </p>

</div>
</div>
<a class="anchor" id="a8e5f5e6d83863cd29859b56485d0d80c"></a><!-- doxytag: member="tivx_obj_desc_pyramid_t::format" ref="a8e5f5e6d83863cd29859b56485d0d80c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a371968e3355d6f9e413d836ccc14d5b8">vx_df_image</a> <a class="el" href="structtivx__obj__desc__pyramid__t.html#a8e5f5e6d83863cd29859b56485d0d80c">tivx_obj_desc_pyramid_t::format</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>image format </p>

</div>
</div>
<a class="anchor" id="a74c0e4f0d5a331ba58dedae10c6b9b49"></a><!-- doxytag: member="tivx_obj_desc_pyramid_t::obj_desc_id" ref="a74c0e4f0d5a331ba58dedae10c6b9b49" args="[TIVX_PYRAMID_MAX_LEVEL_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t <a class="el" href="structtivx__obj__desc__pyramid__t.html#a74c0e4f0d5a331ba58dedae10c6b9b49">tivx_obj_desc_pyramid_t::obj_desc_id</a>[TIVX_PYRAMID_MAX_LEVEL_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array of object descriptor ids for the image object </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
